Package org.eclipse.lemminx.commons.snippets

## Class Snippet

- java.lang.Object
- - org.eclipse.lemminx.commons.snippets.Snippet

    public class Snippet
    extends Object

Snippet description (like vscode snippet).

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`Snippet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getBody()`
`ISnippetContext<?>` `getContext()`
`String` `getDescription()`
`String` `getLabel()`
`List<String>` `getPrefixes()`
`String` `getScope()`
`String` `getSortText()`
`String` `getSuffix()`
`boolean` `hasContext()`
`boolean` `match​(BiPredicate<ISnippetContext<?>,​Map<String,​String>> contextFilter, Map<String,​String> model)`
`void` `setBody​(List<String> body)`
`void` `setContext​(ISnippetContext<?> context)`
`void` `setDescription​(String description)`
`void` `setLabel​(String label)`
`void` `setPrefixes​(List<String> prefixes)`
`void` `setScope​(String scope)`
`void` `setSortText​(String sortText)`
`void` `setSuffix​(String suffix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Snippet

    public Snippet()

### Method Detail

#### getLabel

    public String getLabel()

#### setLabel

    public void setLabel​(String label)

#### getPrefixes

    public List<String> getPrefixes()

#### setPrefixes

    public void setPrefixes​(List<String> prefixes)

#### getSuffix

    public String getSuffix()

#### setSuffix

    public void setSuffix​(String suffix)

#### getBody

    public List<String> getBody()

#### setBody

    public void setBody​(List<String> body)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription​(String description)

#### getScope

    public String getScope()

#### setScope

    public void setScope​(String scope)

#### getSortText

    public String getSortText()

#### setSortText

    public void setSortText​(String sortText)

#### getContext

    public ISnippetContext<?> getContext()

#### setContext

    public void setContext​(ISnippetContext<?> context)

#### hasContext

    public boolean hasContext()

#### match

    public boolean match​(BiPredicate<ISnippetContext<?>,​Map<String,​String>> contextFilter,
                         Map<String,​String> model)